Subject: Re: bug#15084: 24.3.50; 'call-process' does not work properly since rev 113813. (was: browse-url-generic hangs)

From: Peter Vasil <[email-masked]>
Date: Wed, 14 Aug 2013 10:43:13 +0200

The problem is definitely with 'call-process'. The function does not
work properly since rev 113813.

However, 'start-process' works.

On Tue, Aug 13, 2013 at 12:30 PM, Peter Vasil
<[email-masked]> wrote:
> On Tue, Aug 13, 2013 at 12:24 PM, Thierry Volpiatto
> <[email-masked]> wrote:
>> Peter <[email-masked]> writes:
>>
>>> When I set 'browse-url-browser-function' to 'browse-url-generic',
>>> browse-url does not work anymore. Instead it only shows the text:
>>> "Waiting for process to die...done"
>>>
>>> I think it is 'call-process' which does not work.
>>>
>>> Actually, this is the code I use:
>>> (setq browse-url-generic-program "firefox"
>>>       browse-url-browser-function 'browse-url-generic)
>>
>> Is it working after evaling this?
>>
>> (defvar browse-url-never-use-xdg-open t)
>> (defadvice browse-url-can-use-xdg-open (around no-xdg-open activate)
>>   (unless browse-url-never-use-xdg-open
>>     ad-do-it))
> This does not help. Still the same behaviour
>
>
> Thanks,
> Peter
>
>>
>> --
>> Thierry
>> Get my Gnupg key:
>> gpg --keyserver pgp.mit.edu --recv-keys 59F29997
>>
>>
>>
>>